import { Action } from '@ngrx/store';
import { TreeElement } from '../valueObject/treeElement';
export declare const MenuAction: {
    LIST_MENU_ITEMS: string;
    ADD_MENU_ITEMS: string;
    INIT_MENU_ITEMS: string;
};
export declare class MenuActionFactory {
    static listMenuItems(): Action;
    static addMenuItems(list: TreeElement[]): Action;
    static setMenuItems(list: TreeElement[]): Action;
}
export declare class ListMenuItemsAction implements Action {
    type: string;
    payload?: any;
    constructor();
}
export declare class AddMenuItemsAction implements Action {
    type: string;
    payload?: any;
    constructor(payload: TreeElement[]);
}
export declare class SetMenuItemsAction implements Action {
    type: string;
    payload?: any;
    constructor(payload: TreeElement[]);
}
