import { type } from '../../../utilities/type';
export var MenuAction = {
    LIST_MENU_ITEMS: type('Menu - list menu items'),
    ADD_MENU_ITEMS: type('Menu - add menu items'),
    INIT_MENU_ITEMS: type('Menu - initialize menu items')
};
var MenuActionFactory = (function () {
    function MenuActionFactory() {
    }
    MenuActionFactory.listMenuItems = function () {
        return new ListMenuItemsAction();
    };
    MenuActionFactory.addMenuItems = function (list) {
        return new AddMenuItemsAction(list);
    };
    MenuActionFactory.setMenuItems = function (list) {
        return new SetMenuItemsAction(list);
    };
    return MenuActionFactory;
}());
export { MenuActionFactory };
var ListMenuItemsAction = (function () {
    function ListMenuItemsAction() {
        this.type = MenuAction.LIST_MENU_ITEMS;
        this.payload = [];
    }
    return ListMenuItemsAction;
}());
export { ListMenuItemsAction };
var AddMenuItemsAction = (function () {
    function AddMenuItemsAction(payload) {
        this.type = MenuAction.ADD_MENU_ITEMS;
        this.payload = payload;
    }
    return AddMenuItemsAction;
}());
export { AddMenuItemsAction };
var SetMenuItemsAction = (function () {
    function SetMenuItemsAction(payload) {
        this.type = MenuAction.INIT_MENU_ITEMS;
        this.payload = payload;
    }
    return SetMenuItemsAction;
}());
export { SetMenuItemsAction };
//# sourceMappingURL=menu.action.js.map