import { Location } from '@angular/common';
import { Component, Input } from '@angular/core';
import { URLSearchParams } from '@angular/http';
var NavigationItemComponent = (function () {
    function NavigationItemComponent(location) {
        this.location = location;
    }
    NavigationItemComponent.prototype.isNode = function (treeElmt) {
        return typeof treeElmt.children !== 'undefined';
    };
    NavigationItemComponent.prototype.asNode = function (treeElmt) {
        return this.isNode(treeElmt) ? treeElmt : null;
    };
    NavigationItemComponent.prototype.isActiveNavItem = function (treeElmt) {
        return treeElmt.targetUrl === this.location.path();
    };
    NavigationItemComponent.prototype.toSafeUrl = function (treeElmtUrl) {
        if (treeElmtUrl === void 0) { treeElmtUrl = ''; }
        return treeElmtUrl.split('?')[0];
    };
    NavigationItemComponent.prototype.toQueryParams = function (treeElmtUrl) {
        if (treeElmtUrl === void 0) { treeElmtUrl = ''; }
        var tokens = treeElmtUrl.split('?');
        var result = {};
        if (tokens.length > 1) {
            new URLSearchParams(tokens[1]).paramsMap
                .forEach(function (value, key) { return result[key] = value; });
        }
        return result;
    };
    return NavigationItemComponent;
}());
export { NavigationItemComponent };
NavigationItemComponent.decorators = [
    { type: Component, args: [{
                selector: 'app-nav-item',
                template: "<li *ngFor=\"let treeElmt of treeElements\"> <a id=\"nav-link-{{treeElmt.title}}\" [routerLink]=\"toSafeUrl(treeElmt.targetUrl)\" [queryParams]=\"toQueryParams(treeElmt.targetUrl)\" [ngClass]=\"{ 'active': isActiveNavItem(treeElmt) }\"> <span [ngClass]=\"[ 'glyphicon', treeElmt.imageCssClass ]\"></span> {{treeElmt.title}} </a> <ul *ngIf=\"isNode(treeElmt)\" id=\"nav-node-{{treeElmt.title}}\"> <app-nav-item [treeElements]=\"asNode(treeElmt).children\"></app-nav-item> </ul> </li> "
            },] },
];
/** @nocollapse */
NavigationItemComponent.ctorParameters = function () { return [
    { type: Location, },
]; };
NavigationItemComponent.propDecorators = {
    'treeElements': [{ type: Input },],
};
//# sourceMappingURL=navigation-item.component.js.map